﻿
using CommonMP.HYSSOP.CoreImpl.HSData;

namespace KyotoUnivEngHywr
{
	/// <summary><para>class outline:</para>
	/// <para>KyotoUniv.Hydrology演算系モデル共通定義クラス</para>
	/// </summary>
	public class LinearReservoirModelWithRainInputDefine
	{
		// ****************************
		// ===== ModelPattern ========
		// ****************************
		/// <summary>システムデフォルトモデルファクトリ</summary>
        public static readonly HySID HYDROLOGY_MODEL_LIB = new HySID("KyotoUnivEngHywr.LinearReservoirModelWithRainInput.Factory");
		/// <summary>モデルプロパティ設定画面用ファクトリクラス（独自画面作成時に必要）</summary>
        public static HySID PROPERTY_SCREEN_FACTORY_LIB_ID = new HySID("KyotoUnivEngHywr.LinearReservoirModelWithRainInput.PropertyScreenFactory");


		/// <summary>KyotoUnivHydrologyLinearReservoirModelモデル種別</summary>
		public static readonly HySObjectKind HYDROLOGY_LINEAR_RESERVOIR_KIND = new HySObjectKind("KyotoUnivHywrLinearReservoirModel");
		/// <summary>KyotoUnivHydrologyLinearReservoirModelモデル名称</summary>
		public static readonly HySString HYDROLOGY_LINEAR_RESERVOIR_NAME = new HySString("KyotoUnivHywrLinearReservoirModel");

		/// <summary>KyotoUnivHydrologyLinearReservoirModelWithRainInputモデル種別</summary>
        public static readonly HySObjectKind HYDROLOGY_CUSTOM_RESERVOIR_KIND = new HySObjectKind("KyotoUnivEngHywr.LinearReservoirModelWithRainInput");
		/// <summary>KyotoUnivHydrologyLinearReservoirModelWithRainInputモデル名称</summary>
        public static readonly HySString HYDROLOGY_CUSTOM_RESERVOIR_NAME = new HySString("KyotoUnivEngHywr.LinearReservoirModelWithRainInput");

		/// <summary>KyotoUnivHydrologySimpleKinematicWaveModelモデル種別</summary>
		public static readonly HySObjectKind HYDROLOGY_SIMPLE_KINEMATIC_WAVE_KIND = new HySObjectKind("KyotoUnivHywrSimpleRiverKinematicWaveModel");
		/// <summary>KyotoUnivHydrologyimpleKinematicWaveModelモデル名称</summary>
        public static readonly HySString HYDROLOGY_SIMPLE_KINEMATIC_WAVE_NAME = new HySString("KyotoUnivHywrSimpleRiverKinematicWaveModel");
		
		/// <summary>KyotoUnivHydrologyKinematicWaveModelモデル種別</summary>
		public static readonly HySObjectKind HYDROLOGY_KINEMATIC_WAVE_KIND = new HySObjectKind("KyotoUnivHywrRiverKinematicWaveModel");
		/// <summary>KyotoUnivHydrologyKinematicWaveModelモデル名称</summary>
		public static readonly HySString HYDROLOGY_KINEMATIC_WAVE_NAME = new HySString("KyotoUnivHywrRiverKinematicWaveModel");

		/// <summary>KyotoUnivHydrologyKinematicEdgeModelモデル種別</summary>
		public static readonly HySObjectKind HYDROLOGY_KINEMATIC_EDGE_KIND = new HySObjectKind("KyotoUnivHywrKinematicWaveEdgeModel");
		/// <summary>KyotoUnivHydrologyKinematicEdgeModelモデル名称</summary>
        public static readonly HySString HYDROLOGY_KINEMATIC_EDGE_NAME = new HySString("KyotoUnivHywrKinematicWaveEdgeModel");

		/// <summary>KyotoUnivHydrologySimpleDamModelモデル種別</summary>
		public static readonly HySObjectKind HYDROLOGY_SIMPLE_DAM_KIND = new HySObjectKind("KyotoUnivHywrSimpleDamModel");
		/// <summary>KyotoUnivHydrologySimpleDamModelモデル名称</summary>
		public static readonly HySString HYDROLOGY_SIMPLE_DAM_NAME = new HySString("KyotoUnivHywrSimpleDamModel");
	
		/// <summary>KyotoUnivHydrologyDamModeモデル種別</summary>
		public static readonly HySObjectKind HYDROLOGY_DAM_KIND = new HySObjectKind("KyotoUnivHywrDamModel");
		/// <summary>KyotoUnivHydrologyDamModeモデル名称</summary>
		public static readonly HySString HYDROLOGY_DAM_NAME = new HySString("KyotoUnivHywrDamModel");




		// ********************************
		// ===== DataPattern ========
		// ********************************

		/// <summary>2次元雨量情報入力</summary>
		public static readonly HySID IN_RAINDATA_2D = new HySID("RainData2D");

		/// <summary>2次元雨量情報入力</summary>
		public static readonly HySID IN_EVPDATA_2D = new HySID("EvpData2D");

		/// <summary>一様雨量情報入力</summary>
		public static readonly HySID IN_RAINDATA_POINT = new HySID("RainDataPoint");
		/// <summary>一様蒸発散情報入力</summary>
		public static readonly HySID IN_EVPDATA_POINT = new HySID("EvpDataPoint");


		/// <summary>ダム状態出力</summary>
		public static readonly HySID OUT_PATTERN_COND = new HySID("DamCondition");

		/// <summary>上流端入力</summary>
		public static readonly HySID IN_PATTERN_TOP = new HySID("TopIn");
		/// <summary>支流からの横流入 </summary>
		public static readonly HySID IN_PATTERN_LATERAL = new HySID("Lateral");
		/// <summary>下流端出力</summary>
		public static readonly HySID OUT_PATTERN_BOTTOM = new HySID("BottomOut");

	}
}
